// SPDX-License-Identifier: GPL-2.0+
/* NetworkManager system settings service
 *
 * Based on ifcfg-fedora and ifcfg-suse code
 *
 * (C) Copyright 2008 - 2020 Mikhail Efremov <sem@altlinux.org>
 */

#ifndef __NMS_ETCNET_ALT_READER_H_
#define __NMS_ETCNET_ALT_READER_H_

#include <glib.h>
#include "nm-connection.h"

NMConnection *read_connection(const char * iface_path,
                              GHashTable * wsconf,
                              gboolean *   ignored,
                              GError **    error);

GSList *read_supplicant_config(const char *iface_path);

void clear_supplicant_config(GSList *wsconfig_list);

#endif /* __NMS_ETCNET_ALT_READER_H_ */
